var suitehelp = {};
suitehelp.contexts={"bw.sqs_bw.sqs.receiveActivity":"GUID-0C735968-312B-4C95-8D4D-13CB5EB605B8.html","bw.sqs_bw.sns.deleteTopicActivity":"GUID-0622594E-F944-40BB-998B-72667ABFE07C.html","bw.sqs_bw.sqs.deleteActivity":"GUID-8BEA4A85-F60F-4CA1-9388-806A59B81666.html","bw.sqs_bw.sqs.putActivity":"GUID-D265343F-14D5-44D9-A718-E5F7D41C43F3.html","bw.sqs_bw.sns.pubActivity":"GUID-96286B61-FC70-42A1-BEDC-3B071230ECB9.html","bw.sqs_bw.sqs.inquireActivity":"GUID-A25AE5B1-D1E0-4039-924A-55CAC87E553D.html","bw.sqs_bw.sns.createTopicActivity":"GUID-59B40188-9458-4F14-851B-CCCBCE011B15.html","bw.sqs_bw.sqs.createActivity":"GUID-BAC97018-0495-4A94-A8B6-C0A246C5F880.html","bw.sqs_bw.sqs.getActivity":"GUID-558940FC-9922-4065-BF4D-99A766902B21.html"};
// Check for a context-sensitive link and redirect if present (and valid)
suitehelp.checkContext = function () {
    "use strict";

    var context = suitehelp.contexts[suitehelp.getQueryString("context")],
        adjustedQS =  window.location.search.substring(1).replace(/context=[^&]+&|(&|^)context=[^&]+/, "");
    if (context) {
        if (adjustedQS) {
       
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context + "?" + adjustedQS;
        } else {
            document.location =  document.getElementsByTagName("head")[0].getAttribute("data-approot") + context;
        }
    }

};

// Lookup a query string variable
suitehelp.getQueryString = function (key) {
    "use strict";

    if (!suitehelp.queryString) {
        suitehelp.queryString = {};
        var query = window.location.search.substring(1),
            vars = query.split("&"),
            i,
            pair;
        for (i = 0; i < vars.length; i += 1) {
            pair = vars[i].split("=");
            suitehelp.queryString[pair[0]] = unescape(pair[1]);
        }
    }

    return suitehelp.queryString[key];
};

suitehelp.checkContext();